# Add Job

***

{% hint style="danger" %}
**Make sure that the Job has already been created!**
{% endhint %}

* For this, visit <mark style="color:orange;background-color:orange;">**wais-evidence/Config.lua.**</mark>
* Here is an example for adding a new job

```lua
Config.Jobs = {
    ["your job name"] = {
        ["menu"] = vector3(0.0, 0.0, 0.0),
        ["target"] = false, -- If you set this option to true, the coords, text and distance variables will be valid for target -- Access and interact with evidence on the ground with target. 
        ["menu_distance"] = 0.0, -- Distance required for menu access
        ["evidence_distance"] = 0.0, -- Distance at which evidence can be seen or interacted with
        ["items"] = {
            ["bag"] = "evidence_bag", -- Item name to be given to the person when the evidence on the ground is collected
            ["need_bag"] = false, -- The option of whether an empty evidence bag is required for the collection of evidence on the ground. ( True => Empty evidence bag would be needed, False => No need for an empty evidence bag)
            ["empty_bag"] = "empty_evidence_bag", -- Item name of Empty evidence bag
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-evidence/add-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
